<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Funciones</title>
</head>
<body>
    <h1>Funciones</h1>
    <script>
        // FUNCTION DECLARADA
        miFuncion();
        //Declaramos funcion. Son de ámbito global, están en el hoisting. El compilador busca primero las funciones.
        function miFuncion(){
            console.log("Soy una función");
            return "Retorno un valor";
        }

        //Forma recomendada. Trabajas dentro de un bloque y no dentro del ámbito global. 
        //si invoco la función antes de que esté declarado en constante se rompe.
        //FUNCTION ANÓNIMA
        const saludar = function(nombre = "Giovanny", edad = 44){
            console.log("Hola!"+ " " + nombre + " tenes " + edad);
            console.log(`Hola ${nombre} tenes ${edad} de edad`);
            return "Soy return";
        }
        saludar ("Esteban", 38);   
        console.log(saludar()) ;

        
        let nombre = "Pedro";
        console.log(nombre);
    </script>
</body>
</html>